Module java.desktop
Package java.awt

# Class FontFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.awt.FontFormatException

All Implemented Interfaces:
  `Serializable`

public class FontFormatException extends Exception
Thrown by method createFont in the `Font` class to indicate that the specified font is bad.

Since:
  1.3
See Also:
  `Font`, Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FontFormatException​(String reason)`
Report a FontFormatException for the reason specified.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FontFormatException

public FontFormatException​(String reason)
Report a FontFormatException for the reason specified.

Parameters:
  `reason` - a `String` message indicating why the font is not accepted.